<div class="post">

    <div class="header">
      <a routerLink='/userprofile/{{post.userId}}'>
        <div class="fullName"><img class=profilepic src={{post.url}} alt=""> {{post.firstName}} {{post.lastName}}</div>
      </a>
      <div class="date">{{post.date}}</div>
    </div>
    <hr>   
    <br>
    <div>{{post.body}}</div>
    <br>
    <div [attr.id]='post.firstName + post.id' class="carousel slide" data-bs-ride="carousel">
        <div class="carousel-inner">
            <div *ngFor="let imageUrl of post.imageUrls; let k = index" [ngClass]="k == 0 ? 'carousel-item active' : 'carousel-item'">
                <img src={{imageUrl}} class="d-block w-100" alt="...">
              </div>
        </div>
            <button class="carousel-control-prev" type="button" [attr.data-bs-target]='"#" + post.firstName + post.id' data-bs-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="visually-hidden">Previous</span>
            </button>
            <button class="carousel-control-next" type="button" [attr.data-bs-target]='"#" + post.firstName + post.id' data-bs-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="visually-hidden">Next</span>
            </button>
      </div>
      <br>
      <img class="likebutton" matTooltipClass="tooltiplikes" src="assets/images/like.png" (click)="likePost()" [matTooltip]="likedBy" *ngIf="!post.userLiked">
      <img class="likebutton" matTooltipClass="tooltiplikes" src="assets/images/liked.png" (click)="likePost()" [matTooltip]="likedBy" *ngIf="post.userLiked">
      <br>
      <br>
    <div class="comment" *ngFor="let comment of post.comments">
        <app-comment [comment]='comment'></app-comment>
    </div>
    <br>
    <app-newcomment [postId]="post.id" (updateParent)="refreshFeed()"></app-newcomment>

</div>